Subject: bug#22926: 24.5; `shell-command', `shell-command-default-error-buffer'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 06 Mar 2016 19:40:04 +0200

> Date: Sun, 6 Mar 2016 07:14:47 -0800 (PST)
> From: Drew Adams <[email-masked]>
> 
> 1. Doc string of `shell-command': Mention that you are prompted for the
>    command.

Done.

> 2. `shell-command-default-error-buffer': Make it a user option.

Not sure it's necessary.

> 3. In general, orient the doc a bit more toward interactive use.

Upon reading the doc string, it already is: the entire first part of
it is specifically about interactive invocations.  If you have more
specific suggestions, let's hear them.

> 4. Also, some lines in the doc string are too long (but not by much: 74
>    chars max instead of 70).

I don't see how this can be helped, as those lines generally reference
symbols with long names.